Bug 28909 - implement "remove duplicate messages"
Summary: implement "remove duplicate messages"
Status: CLOSED FIXED
Alias: None
Product: kmail
Classification: Applications
Component: general (show other bugs)
Version: 1.2
Platform: OpenSUSE Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2001-07-13 18:18 UTC by mepk
Modified: 2007-09-14 12:17 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mepk 2001-07-13 18:15:26 UTC
(*** This bug was imported into bugs.kde.org ***)

Package:           kmail
Version:           1.2 (using KDE 2.1.2 )
Severity:          wishlist
Installed from:    SuSE
Compiler:          gcc version 2.95.2 19991024 (release)
OS:                Linux 2.4.0 i686
OS/Compiler notes: 

I have a university e-mail account where I get
mails from home via POP3 (fetchmail). But I also
read mails _online_ using the university terminals.

Unfortunately there's no synchronization
between the university folder and my folder at
home. So I used to take my mbox-folder from this
home on a disk to import it in kmail when I'm
at home.

Unfortunately if I copy (or move) this folder
into my existent home-folder every message appears
_twice_ although they both have the same message-id.

Could you implement a more "intelligent" copy (or
move) function which does not copy (or move) an
e-mail if the same message-id already exists?

Thanks in advance!

Christian.
mepk@c64.org


(Submitted via bugs.kde.org)
(Called from KBugReport dialog)
Comment 1 Don Sanders 2001-07-14 14:47:21 UTC
Your situation is a common one. I have two suggestions:

Firstly you could choose one location (university or home) 
and at that location configure KMail to leave mail on the 
server. 

Then the other location (the primary/master) location 
receives a copy of all messages.

Secondly you could consider using IMAP.

Don.

On Friday 13 July 2001 20:15 mepk@c64.org wrote:
> Package: kmail
> Version: 1.2 (using KDE 2.1.2 )
> Severity: wishlist
> Installed from:    SuSE
> Compiler:          gcc version 2.95.2 19991024 (release)
> OS:                Linux 2.4.0 i686
> OS/Compiler notes:
>
> I have a university e-mail account where I get
> mails from home via POP3 (fetchmail). But I also
> read mails _online_ using the university terminals.
>
> Unfortunately there's no synchronization
> between the university folder and my folder at
> home. So I used to take my mbox-folder from this
> home on a disk to import it in kmail when I'm
> at home.
>
> Unfortunately if I copy (or move) this folder
> into my existent home-folder every message appears
> _twice_ although they both have the same message-id.
>
> Could you implement a more "intelligent" copy (or
> move) function which does not copy (or move) an
> e-mail if the same message-id already exists?
>
> Thanks in advance!
>
> Christian.
> mepk@c64.org
>
>
> (Submitted via bugs.kde.org)
> (Called from KBugReport dialog)
>
> _______________________________________________
> Kmail Developers mailing list
> Kmail@master.kde.org
> http://master.kde.org/mailman/listinfo/kmail
Comment 2 mepk 2001-07-14 16:19:24 UTC
Hi Don! You wrote:

> Your situation is a common one. I have two suggestions:
>
> Firstly you could choose one location (university or home)
> and at that location configure KMail to leave mail on the
> server.

The home machine is not directly connected to the internet.
It uses a PPP connection to get the mails from my "main"
university account (using fetchmail). There I do not have
KMail because the admins won't install it.

> Then the other location (the primary/master) location
> receives a copy of all messages.

Hm maybe I could get a gmx or hotmail or whatever account
which receives all messages. Anyway: this one would lose
all "new" or "replied" information. :-(

> Secondly you could consider using IMAP.

We don't have an IMAP server at our university just POP3.

I thought about it yesterday: Maybe it would be sufficient
to "just" include a "synchronize folder" option: all but
one of different messages with the same message-id would
be deleted. That shouldn't be too difficult to implement.

Christian.